Index: NEMO/branches/2018/dev_r10164_HPC09_ESIWACE_PREP_MERGE/src/OCE/LBC/lbclnk.F90
===================================================================
--- NEMO/branches/2018/dev_r10164_HPC09_ESIWACE_PREP_MERGE/src/OCE/LBC/lbclnk.F90	(revision 10165)
+++ NEMO/branches/2018/dev_r10164_HPC09_ESIWACE_PREP_MERGE/src/OCE/LBC/lbclnk.F90	(revision 10314)
@@ -90,5 +90,5 @@
    !
    INTERFACE lbc_bdy_lnk
-      MODULE PROCEDURE lbc_bdy_lnk_2d, lbc_bdy_lnk_3d
+      MODULE PROCEDURE lbc_bdy_lnk_2d, lbc_bdy_lnk_3d, lbc_bdy_lnk_4d
    END INTERFACE
    !
@@ -179,6 +179,18 @@
    !!----------------------------------------------------------------------
    
-   SUBROUTINE lbc_bdy_lnk_3d( pt3d, cd_type, psgn, ib_bdy )
-      !!----------------------------------------------------------------------
+   SUBROUTINE lbc_bdy_lnk_4d( cdname, pt4d, cd_type, psgn, ib_bdy )
+      !!----------------------------------------------------------------------
+      CHARACTER(len=*)          , INTENT(in   ) ::   cdname      ! name of the calling subroutine
+      REAL(wp), DIMENSION(:,:,:,:), INTENT(inout) ::   pt4d      ! 3D array on which the lbc is applied
+      CHARACTER(len=1)          , INTENT(in   ) ::   cd_type   ! nature of pt3d grid-points
+      REAL(wp)                  , INTENT(in   ) ::   psgn      ! sign used across north fold 
+      INTEGER                   , INTENT(in   ) ::   ib_bdy    ! BDY boundary set
+      !!----------------------------------------------------------------------
+      CALL lbc_lnk_4d( cdname, pt4d, cd_type, psgn)
+   END SUBROUTINE lbc_bdy_lnk_4d
+
+   SUBROUTINE lbc_bdy_lnk_3d( cdname, pt3d, cd_type, psgn, ib_bdy )
+      !!----------------------------------------------------------------------
+      CHARACTER(len=*)          , INTENT(in   ) ::   cdname      ! name of the calling subroutine
       REAL(wp), DIMENSION(:,:,:), INTENT(inout) ::   pt3d      ! 3D array on which the lbc is applied
       CHARACTER(len=1)          , INTENT(in   ) ::   cd_type   ! nature of pt3d grid-points
@@ -186,10 +198,11 @@
       INTEGER                   , INTENT(in   ) ::   ib_bdy    ! BDY boundary set
       !!----------------------------------------------------------------------
-      CALL lbc_lnk_3d( pt3d, cd_type, psgn)
+      CALL lbc_lnk_3d( cdname, pt3d, cd_type, psgn)
    END SUBROUTINE lbc_bdy_lnk_3d
 
 
-   SUBROUTINE lbc_bdy_lnk_2d( pt2d, cd_type, psgn, ib_bdy )
-      !!----------------------------------------------------------------------
+   SUBROUTINE lbc_bdy_lnk_2d( cdname, pt2d, cd_type, psgn, ib_bdy )
+      !!----------------------------------------------------------------------
+      CHARACTER(len=*)        , INTENT(in   ) ::   cdname      ! name of the calling subroutine
       REAL(wp), DIMENSION(:,:), INTENT(inout) ::   pt2d      ! 3D array on which the lbc is applied
       CHARACTER(len=1)        , INTENT(in   ) ::   cd_type   ! nature of pt3d grid-points
@@ -197,5 +210,5 @@
       INTEGER                 , INTENT(in   ) ::   ib_bdy    ! BDY boundary set
       !!----------------------------------------------------------------------
-      CALL lbc_lnk_2d( pt2d, cd_type, psgn)
+      CALL lbc_lnk_2d( cdname, pt2d, cd_type, psgn)
    END SUBROUTINE lbc_bdy_lnk_2d
 
@@ -203,6 +216,7 @@
 !!gm  This routine should be removed with an optional halos size added in argument of generic routines
 
-   SUBROUTINE lbc_lnk_2d_icb( pt2d, cd_type, psgn, ki, kj )
-      !!----------------------------------------------------------------------
+   SUBROUTINE lbc_lnk_2d_icb( cdname, pt2d, cd_type, psgn, ki, kj )
+      !!----------------------------------------------------------------------
+      CHARACTER(len=*)        , INTENT(in   ) ::   cdname      ! name of the calling subroutine
       REAL(wp), DIMENSION(:,:), INTENT(inout) ::   pt2d      ! 2D array on which the lbc is applied
       CHARACTER(len=1)        , INTENT(in   ) ::   cd_type   ! nature of pt3d grid-points
@@ -210,5 +224,5 @@
       INTEGER                 , INTENT(in   ) ::   ki, kj    ! sizes of extra halo (not needed in non-mpp)
       !!----------------------------------------------------------------------
-      CALL lbc_lnk_2d( pt2d, cd_type, psgn )
+      CALL lbc_lnk_2d( cdname, pt2d, cd_type, psgn )
    END SUBROUTINE lbc_lnk_2d_icb
 !!gm end
